Mailinglist Archive: opensuse-factory (453 mails)

< Previous Next >
Re: [opensuse-factory] New Tumbleweed snapshot 20190201 released!
On 2/3/19 4:18 PM, Knurpht-openSUSE wrote:
Temporarily change it in /etc/zypp/zypp.conf:
solver.dupAllowVendorChange = false
After upgrade set it back to true, if you don't want this to be the default
behaviour.

That doesn't make sense. A vendor change is necessary because only the packages
in Factory have been built against python3.7 and I have several packages
installed
from devel:languages:python and Cloud:Tools installed which all still seem to be
built against python3.6.

I have tried various options and it seems zypper is unable to resolve my
dependency
problems. I need something like an option which forces the vendor of all
packages
to be changed back to openSUSE but that doesn't seem to be possible.

So, for now I'm stuck and cannot upgrade my Tumbleweed.

Adrian
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups